/**
 * @module index
 */
/// <reference types="node" />
import { Options } from '../interface';
/**
 * @function terminate
 * @description Terminates the pool.
 * @param force If set to true, forcefully terminates the pool.
 */
export declare function terminate(force?: boolean): Promise<void>;
/**
 * @function generate
 * @description Generates a file at the specified path with the provided content.
 * @param path The path where the file will be generated.
 * @param content The content of the file.
 * @param options Optional options for file generation.
 */
export declare function generate(path: string, content: string | Buffer, options?: Options): Promise<void>;
